Bug 1016987 - packstack doesn't configure GRE in /etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini
packstack doesn't configure GRE in /etc/neutron/plugins/openvswitch/ovs_neutr...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity high
: ---
: 4.0
Assigned To: RHOS Maint
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 02:07 EDT by Ofer Blaut
Modified: 2013-10-29 11:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 11:23:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2013-10-09 02:07:27 EDT
Description of problem:

I'm configuring packstack answer file with GRE parameters 

1. CONFIG_NEUTRON_OVS_TUNNEL_RANGES=1:1000
2. CONFIG_NEUTRON_OVS_TUNNEL_IF=eth3

I have configured packstack to use tenant network vlan .
CONFIG_NEUTRON_OVS_TENANT_NETWORK_TYPE=vlan


I expect  /etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini to be set with this values 
as well GRE tunnel should be enabled , so i can use network provider with GRE without the need to set it in /etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini and restart L2 agents all over the setup

By default both  GRE parameters  are empty .



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.configure packstack CONFIG_NEUTRON_OVS_TENANT_NETWORK_TYPE=vlan
2.configure packstack with GRE parameters 
3.run packstack
4. check /etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini on all hosts and validate the following parameters are not set 

enable_tunneling=False
#tunnel_types =
#tunnel_bridge = br-tun
No tunnel interface IF present 


 

Actual results:

I can't set network provider type GRE unless i configure all ovs_neutron_plugin.ini and restart L2 agents 

Expected results:
i expect GRE setting will be available for network provider configuration   


Additional info:
Comment 2 Ofer Blaut 2013-10-14 05:45:23 EDT
Not updating the VLAN information , blocks the option to configure external network / provider network for floating ip using VLANs

So i moved the bug to high
Comment 3 Martin Magr 2013-10-29 11:23:21 EDT
CONFIG_NEUTRON_OVS_TUNNEL_RANGES and CONFIG_NEUTRON_OVS_TUNNEL_IF is set only if you set CONFIG_NEUTRON_OVS_TENANT_NETWORK_TYPE=gre so actually this is a feature.

Note You need to log in before you can comment on or make changes to this bug.